Invoices
Void invoice
Voids a non-completed invoice through the existing invoice void pipeline.
POST
/
dev
/
v1
/
invoices
/
{uniqid}
/
void
Void invoice
curl --request POST \
--url https://api.shoppex.io/dev/v1/invoices/{uniqid}/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"void_details": "Customer requested cancellation"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({void_details: 'Customer requested cancellation'})
};
fetch('https://api.shoppex.io/dev/v1/invoices/{uniqid}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/invoices/{uniqid}/void"
payload = { "void_details": "Customer requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/invoices/{uniqid}/void",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'void_details' => 'Customer requested cancellation'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/invoices/{uniqid}/void"
payload := strings.NewReader("{\n \"void_details\": \"Customer requested cancellation\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "inv_3",
"uniqid": "33333333-3333-4333-8333-333333333333",
"type": "PRODUCT",
"shop_id": "shop_1",
"customer_email": "[email protected]",
"currency": "USD",
"total": 49.99,
"total_display": 49.99,
"status": "VOIDED",
"void_details": "Customer requested cancellation",
"payment_status": "VOIDED",
"gateway": "PANDABASE",
"items": [
{
"product_id": null,
"product_title": "External Payment",
"product_type": "SERVICE",
"variant_title": null,
"quantity": 1,
"unit_price": 49.99,
"total": 49.99,
"delivered_items": null
}
],
"created_at": 1712059200,
"updated_at": 1712059860
}
}Previous
Issue invoice replacementIssues replacement serials for a completed serial-based invoice. By default, replacements cannot exceed the original purchased quantity. Set `override_remaining_quantity` to `true` for a manual support override when a previous replacement also failed.
Next
⌘I
Void invoice
